#!/usr/bin/env python
import coral

m = coral.loadModel("../../lang/UML14/def/UML14.xmi")

e = m.elements.select(lambda x: x.name == "Classifier")[0]
assert(len(e.subclasses) == 12)
assert(len(e.superclasses) == 2)

